#!/usr/bin/env python
# -*- coding: utf-8 -*-


import xml.sax, re

class XmlParser(xml.sax.ContentHandler):
	def __init__(self):
		self.label = []

	def startElement(self, tag, attr):
		if tag == 'label':
			self.label.append(attr.get('name'))

	def getList(self):
		if self.label:
			return self.label
		else:
			return None

def GetLabel(filename):
	p = xml.sax.make_parser()
	xparser = XmlParser()
	p.setContentHandler(xparser)
	p.parse(filename)

	list = xparser.getList()

	return list

if __name__ == '__main__':
	import sys
	list = GetLabel('zh_CN.xml')
	if not list:
		print 'Error'
		sys.exit(10)
	label1 = label2 = label3 = ''

	for i in list:
		idx, name = re.split(r'#', i)
		idx = int(idx)
		if idx == 1:
			label1 = name
		elif idx == 2:
			label2 = name
		elif idx == 3:
			label3 = name

	print 'Label1: %s\nLabel2: %s\nLabel3: %s' % (label1, label2, label3)
